Page MenuHomePhabricator

Fix Blueprint top bar. Currently obscuring h1#firstHeading by wrapping onto the second line.
Closed, DeclinedPublic

Description

I visited http://livingstyleguide.wmflabs.org/wiki/OOjs_UI/Widgets/Icons,_Indicators,_and_Labels and Blueprint's top bar wrapped to a second line and obscured the heading.

This screenshot shows the problem.


(The screenshot also shows a separate bug T103734: Blueprint skin doesn't display what you type in its search box using Firefox.)

Vector's top tabs can overflow and obscure the top line, but at least the unused parts of Vector's overflow don't obscure the first heading:

Related Objects

StatusSubtypeAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved violetto
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedNone

Event Timeline

Spage raised the priority of this task from to Low.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 7:09 PM
Spage updated the task description. (Show Details)Jun 24 2015, 7:42 PM
Spage set Security to None.
violetto renamed this task from Blueprint top bar can obscure h1 firstHeading to Fix Blueprint top bar is. Currently obscuring h1 firstHeading by wrapping onto the second line..Jun 24 2015, 9:23 PM
violetto renamed this task from Fix Blueprint top bar is. Currently obscuring h1 firstHeading by wrapping onto the second line. to Fix Blueprint top bar. Currently obscuring h1 firstHeading by wrapping onto the second line..

Yikes, this shouldn't happen. cc @Volker_E / @Prtksxna

Ouch! Looks like a media query problem. The entire thing seems to have broken for smaller widths. I don't think this used to be the case earlier.

Should we make a separate tracking task for making blueprint responsive?

Volker_E renamed this task from Fix Blueprint top bar. Currently obscuring h1 firstHeading by wrapping onto the second line. to Fix Blueprint top bar. Currently obscuring h1#firstHeading by wrapping onto the second line..Jul 28 2015, 10:14 PM
Krinkle removed a subscriber: Krinkle.Nov 27 2015, 3:15 PM
Prtksxna closed this task as Declined.May 31 2017, 6:25 PM
Prtksxna closed subtask T104680: Make Blueprint responsive as Declined.

The skin is no longer maintained